package com.lc.jdbc.bean;

import com.lc.utils.Column;
import com.lc.utils.Table;

/**
 * 部门
 * alt + 鼠标左键：整列编辑
 * 在实体类中，基本数据类型建议使用其对应的包装类型
 */

@Table("tb_dept")
public class Dept {

    @Column(property = "id",filed = "id")
    private int id; //主键
    @Column(property = "deptName",filed = "dept_name")
    private String deptName; //部门名称
    @Column(property = "ordered",filed = "ordered")
    private int ordered; //排序
    @Column(property = "description",filed = "description")
    private String description; //描述
    @Column(property = "status",filed = "status")
    private int status; //状态

    //省略 set、get方法

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public int getOrdered() {
        return ordered;
    }

    public void setOrdered(int ordered) {
        this.ordered = ordered;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    @Override
    public String toString() {
        return "Dept{" +
                "id=" + id +
                ", deptName='" + deptName + '\'' +
                ", ordered=" + ordered +
                ", description='" + description + '\'' +
                ", status=" + status +
                '}';
    }
}
