package com.lc.jdbc.dao;

import com.lc.jdbc.bean.Dept;

import java.sql.SQLException;
import java.util.List;

public interface DeptDao {

    //根据id查询
    /**
     * 表中 一条数据  =  一个对象
     */
    public Dept getById( Integer id) throws SQLException;


    /**
     * 查询所有
     * @return 返回所有数据
     * @throws SQLException
     */
    public List<Dept> getAll() throws SQLException;


    /**
     * 修改部门
     */
    public int update(Dept dept) throws SQLException;


    /**
     * 添加部门
     */
    public int add(Dept dept) throws SQLException;

    /**
     * 删除部门
     */
    public int delete( Integer id ) throws SQLException ;

}
