package com.lc.jdbc01;


import com.alibaba.druid.pool.DruidDataSourceFactory;
import org.junit.jupiter.api.Test;

import javax.sql.DataSource;
import java.io.InputStream;
import java.sql.Connection;
import java.util.Properties;

public class TestDruid {


    @Test
    public void test01() throws Exception {

        InputStream is = TestDruid.class.getClassLoader().getResourceAsStream("druid.properties");

        Properties p = new Properties();
        p.load(is);

        //构建
        DataSource dataSource = DruidDataSourceFactory.createDataSource(p);

        //获取链接
        Connection connection = dataSource.getConnection();

        System.out.println(connection);

    }

}
