package com.lc.jdbc01;

import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.DisplayName;
import org.junit.jupiter.api.Test;

import java.sql.*;

public class TestRS {

    Connection connection= null;

    @BeforeEach
    public void before() throws SQLException {
        // 获取连接
        /* Params:
            url – a database url
            user – the database user
            password – the user's password
         */
        String url = "jdbc:mysql://localhost:3306/vipq2";
        String user = "root";
        String password = "123456";
        connection = DriverManager.getConnection(url, user, password);
    }


    @DisplayName("测试返回结果")
    @Test
    public void test1() throws Exception{

        //Sql 添加 语句
        String sql = "  select * from tb_user ";

        PreparedStatement statement = connection.prepareStatement(sql);;

        //执行sql
        ResultSet resultSet = statement.executeQuery();

        while (resultSet.next()){
            //获取数据 根据字段名
//            int id = resultSet.getInt("id");
//            String name = resultSet.getString("username");
//            String password1 = resultSet.getString("password");

            //索引
            int id = resultSet.getInt(1);
            String name = resultSet.getString(2);
            String password1 = resultSet.getString(3);
            System.out.println(id + " " + name + " " + password1);
        }
        //关闭连接
        connection.close();
    }

}
