package com.lc.mybatis;

import com.lc.mybatis.mapper.DeptMapper;
import com.lc.mybatis.pojo.Dept;
import org.apache.ibatis.io.Resources;
import org.apache.ibatis.session.SqlSession;
import org.apache.ibatis.session.SqlSessionFactory;
import org.apache.ibatis.session.SqlSessionFactoryBuilder;
import org.junit.jupiter.api.Test;

import java.io.IOException;
import java.io.InputStream;

public class TestDept {


    @Test
    public void testDept() throws IOException {
        //根据核心配置文件创建SqlSessionFactory
        InputStream is = Resources.getResourceAsStream("mybatis-config.xml");
        //sessionFactory工厂
        SqlSessionFactory sessionFactory = new SqlSessionFactoryBuilder().build(is);
        //sqlSession
        SqlSession sqlSession = sessionFactory.openSession();
        //DeptMapper接口
        DeptMapper deptMapper = sqlSession.getMapper(DeptMapper.class);

        Dept dept = deptMapper.getById(1);

        System.out.println("dept = " + dept);
    }

}
